class Wanderer
{
 float x;
 float y;
 float wander_theta;
 float wander_radius;
 
 // bigger = more edgier, hectic
 float max_wander_offset = 0.3;
 // bigger = faster turns
 float max_wander_radius = 3.5;
 
 Wanderer(float _x, float _y)
 {
   headX = _x;
   headY = _y;
   
   wander_theta = random(TWO_PI);
   wander_radius = random(max_wander_radius);
 }
 
 void stayInsideCanvas()
 {
   headX %= width;
   headY %= height;
 }
 
 void move()
 {
   float wander_offset = random(-max_wander_offset, max_wander_offset);
   wander_theta += wander_offset;
   
   headX += cos(wander_theta);
   headY += sin(wander_theta);
 }
 
 float getheadX()
 {
   return headX-25;
 }
 
 float getheadY()
 {
   return headY-43;
 }
}
